Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class DisplayNameImpl

    java.lang.Object
      org.jasig.portal.container.om.common.DisplayNameImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.DisplayName, org.apache.pluto.om.Model

    public class DisplayNameImpl

extends java.lang.Object
implements org.apache.pluto.om.common.DisplayName, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `displayName`
`private java.util.Locale` | `locale`

Constructor Summary
`DisplayNameImpl()`
`DisplayNameImpl(java.lang.String displayName, java.util.Locale locale)`

Method Summary
`java.lang.String` | `getDisplayName()`
`java.util.Locale` | `getLocale()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### displayName

    private java.lang.String displayName

### locale

    private java.util.Locale locale

Constructor Detail

### DisplayNameImpl

    public DisplayNameImpl()

### DisplayNameImpl

    public DisplayNameImpl(java.lang.String displayName,
                           java.util.Locale locale)

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `org.apache.pluto.om.common.DisplayName`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `org.apache.pluto.om.common.DisplayName`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### setLocale

    public void setLocale(java.util.Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD